Retrieve a Chart of Accounts Template
curl --request GET \
--url https://api.sandbox.teal.dev/v0/platform-gl/coa-templates/{coa_template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.teal.dev/v0/platform-gl/coa-templates/{coa_template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.teal.dev/v0/platform-gl/coa-templates/{coa_template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "PpvsmFEv14yGDyT6iV6kXw",
"name": "Coffee Shop Sole Prop",
"accounting_basis": "accrual",
"status": "live",
"type": "agent",
"ledger_ids": [
"7JRNsKwy2Lw66caxVU7WGC",
"HLn8oy2eqMUCwjp1Cwdgco"
],
"ledgers": null
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}{
"message": "<string>",
"data": "<unknown>",
"display_message": "<string>",
"error_code": "invalid_date"
}Chart of Accounts Templates
Retrieve a Chart of Accounts Template
Retrieves details of an existing Chart of Accounts Template.
GET
/
v0
/
platform-gl
/
coa-templates
/
{coa_template_id}
Retrieve a Chart of Accounts Template
Authorizations
Bearer authentication header of the form Bearer , where is your auth token.
FlowPassword
- Token URL
- https://developer.teal.dev
Path Parameters
The ID of the Chart of Accounts Template
Query Parameters
Comma-separated list of expandable paths.
Available options:
ledgers Response
Successful Response
The unique ID of the object.
Example:
"PpvsmFEv14yGDyT6iV6kXw"
An arbitrary string on the object, useful for identifying the Chart of Accounts template.
Example:
"Coffee Shop Sole Prop"
The accounting basis for this Chart of Accounts template.
Available options:
cash, accrual Example:
"accrual"
Available options:
draft, live Example:
"live"
Whether this template belongs to an agent or a platform.
Available options:
agent, platform Example:
"agent"
A list of IDs of the Ledger Template objects associated with the Chart of Accounts Template
Example:
[
"7JRNsKwy2Lw66caxVU7WGC",
"HLn8oy2eqMUCwjp1Cwdgco"
]
Expandable. A list of the Ledger Templates associated with the Chart of Accounts Template.
Show child attributes
Show child attributes
Example:
null